Post by Lorddrk » Fri Nov 17, 2017 7:59 pm

Most plugins of 2.3 works on 3.x?

I've a plugin that hasn't been update to 3.0 yet and it's very important to me, can works on 3.0 or it's impossible?

Newbie

Posts

Joined
Sun Sep 13, 2015 9:55 am

Post by webmedialdh » Fri Nov 17, 2017 8:18 pm

Hi,

Yes, It possible but you need to change tpl files into twig format and it's parameters of course. but will let you know complete after checking the extension. it's better if you share extension link

Regards

Webx IT Solutions
Tel: +91 99154 09292, Skype: webmedialdh, Email: support@webxitsolutions.com
Image


User avatar
New member

Posts

Joined
Fri Apr 22, 2016 5:52 pm
Location - Ludhiana, Punjab

Post by Lorddrk » Fri Nov 17, 2017 11:53 pm

webmedialdh wrote:
Fri Nov 17, 2017 8:18 pm
Hi,

Yes, It possible but you need to change tpl files into twig format and it's parameters of course. but will let you know complete after checking the extension. it's better if you share extension link

Regards
Here we are
https://github.com/organisys/bling-openCart

Thanks

Newbie

Posts

Joined
Sun Sep 13, 2015 9:55 am

Post by Johnathan » Sat Nov 18, 2017 2:31 am

Just to clarify: NO extension that is 2.3 compatible will work on OpenCart 3.0 without updates. There are too many internal changes to OpenCart 3, so you'll always need the extension specifically updated for 3.0 compatibility. An extension that is only marked as 2.3 compatibility will NOT work on OpenCart 3.

Image
Image Image Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by Lorddrk » Sat Nov 18, 2017 4:28 am

Johnathan wrote:
Sat Nov 18, 2017 2:31 am
Just to clarify: NO extension that is 2.3 compatible will work on OpenCart 3.0 without updates. There are too many internal changes to OpenCart 3, so you'll always need the extension specifically updated for 3.0 compatibility. An extension that is only marked as 2.3 compatibility will NOT work on OpenCart 3.
Thanks mod, do you know any provider to do this?

Newbie

Posts

Joined
Sun Sep 13, 2015 9:55 am

Post by kestas » Sat Nov 18, 2017 4:34 am

Lorddrk wrote:
Fri Nov 17, 2017 11:53 pm
webmedialdh wrote:
Fri Nov 17, 2017 8:18 pm
Hi,

Yes, It possible but you need to change tpl files into twig format and it's parameters of course. but will let you know complete after checking the extension. it's better if you share extension link

Regards
Here we are
https://github.com/organisys/bling-openCart

Thanks
Hi,
Not only tpl files should be converted. So you need to ask author of the extension for upgrade it. Or find some developer who able do it for you. Or try to upgrade by yourself...

Cheers

Custom OpenCart modules and solutions. Just PM me... Extensions you can find here


Active Member

Posts

Joined
Tue Oct 12, 2010 2:23 am

Post by webmedialdh » Sat Nov 18, 2017 2:30 pm

Plugin which you shared that also not 2.3x compatible. it's 2.2.0.0 or older 2x version. and I checked the plugin need to change the folder location and Controller Class and twig files in order to make this 3x compatible

Regards

Webx IT Solutions
Tel: +91 99154 09292, Skype: webmedialdh, Email: support@webxitsolutions.com
Image


User avatar
New member

Posts

Joined
Fri Apr 22, 2016 5:52 pm
Location - Ludhiana, Punjab

Post by Johnathan » Sat Nov 18, 2017 11:13 pm

Lorddrk wrote:
Sat Nov 18, 2017 4:28 am
Thanks mod, do you know any provider to do this?
If you need to find a developer, you should post a request in the OpenCart "Commercial Support" forum, which is checked by a number of OpenCart developers. You can also try checking out the OpenCart "Partners" area.

Image
Image Image Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am

Who is online

Users browsing this forum: No registered users and 4 guests